package intrinsic.mx.events;

public class TweenEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public Object value;

	/** Constants */
	public static final String TWEEN_END = "tween_end";
	public static final String TWEEN_START = "tween_start";
	public static final String VERSION = "version";
	public static final String TWEEN_UPDATE = "tween_update";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public TweenEvent() {
}

public TweenEvent(String arg0) {
}

public TweenEvent(String arg0, boolean arg1) {
}

public TweenEvent(String arg0, boolean arg1, boolean arg2) {
}

public TweenEvent(String arg0, boolean arg1, boolean arg2, Object arg3) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
